#pragma once
#include <glad/glad.h>
#include "glm/glm.hpp"

#include "Platform/Window.h"

#include "Graphics/Primitives/Shader.h"
#include "Graphics/Primitives/Texture.h"
#include "Graphics/Primitives/Camera.h"
#include "Graphics/Primitives/Material.h"
#include "Graphics/Renderer.h"

#include "spdlog/spdlog.h"

#include "EventSystem/EventEmitter.h"
#include "EventSystem/EventListener.h"

#include "Input/InputManager.h"

#include "Scene/Scene.h"
#include "Application.h"
